unit Main;

interface

uses
  Forms, Controls, ExtCtrls, Dialogs, StdCtrls, Buttons,
  Classes, RotateBM;

type
  TMainForm = class(TForm)
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    Panel1: TPanel;
    Rotate90Btn: TBitBtn;
    MirrorHorzBtn: TBitBtn;
    Rotate180Btn: TBitBtn;
    MirrorVertBtn: TBitBtn;
    Panel2: TPanel;
    SaveBtn: TBitBtn;
    OpenBtn: TBitBtn;
    Image: TRotateImage;
    StretchCheck: TCheckBox;
    procedure OpenBtnClick(Sender: TObject);
    procedure MirrorVertBtnClick(Sender: TObject);
    procedure Rotate180BtnClick(Sender: TObject);
    procedure SaveBtnClick(Sender: TObject);
    procedure MirrorHorzBtnClick(Sender: TObject);
    procedure Rotate90BtnClick(Sender: TObject);
    procedure StretchCheckClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.OpenBtnClick(Sender: TObject);
begin
  if OpenDialog.Execute then
   begin
    Image.Picture.LoadFromFile(OpenDialog.FileName);
    StretchCheck.Enabled := True;
    SaveBtn.Enabled := True;
   end;
end;

procedure TMainForm.MirrorVertBtnClick(Sender: TObject);
begin
  Image.FlipVertical;
end;

procedure TMainForm.Rotate180BtnClick(Sender: TObject);
begin
  Image.Rotate180;
end;

procedure TMainForm.SaveBtnClick(Sender: TObject);
begin
  if SaveDialog.Execute then
   Image.Picture.SaveToFile(SaveDialog.FileName);
end;

procedure TMainForm.MirrorHorzBtnClick(Sender: TObject);
begin
  Image.FlipHorizontal;
end;

procedure TMainForm.Rotate90BtnClick(Sender: TObject);
begin
  Image.Rotate90;
end;

procedure TMainForm.StretchCheckClick(Sender: TObject);
begin
  Image.Stretch := StretchCheck.Checked;
end;

end.
